View Issue Details

IDProjectCategoryView StatusLast Update
0004572SymmetricDSImprovementpublic2020-10-01 19:15
Reporterdingshiuan Assigned To 
Prioritynormal 
Status newResolutionopen 
Product Version3.12.3 
Summary0004572: how to stop one node's service
DescriptionDear Sir

How to stop one of the nodes ?
Please guide the correct step method
Steps To Reproduce./bin/jmx --engine store-002 --bean org.jumpmind.symmetric.store-002:name=Node --method stop
Log output will be written to /tmax/symmetric-corp/logs/store-002.log
-------------------------------------------------------------------------------
An exception occurred. Please see the following for details:
-------------------------------------------------------------------------------
java.net.ConnectException: Connection refused (Connection refused)
    at java.net.PlainSocketImpl.socketConnect(Native Method)
    at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)
    at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)
    at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)
    at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)
    at java.net.Socket.connect(Socket.java:606)
    at java.net.Socket.connect(Socket.java:555)
    at java.net.Socket.<init>(Socket.java:451)
    at java.net.Socket.<init>(Socket.java:228)
    at sun.rmi.transport.proxy.RMIDirectSocketFactory.createSocket(RMIDirectSocketFactory.java:40)
    at sun.rmi.transport.proxy.RMIMasterSocketFactory.createSocket(RMIMasterSocketFactory.java:148)
    at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:613)
 [wrapped] java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
    java.net.ConnectException: Connection refused (Connection refused)
    at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:619)
    at sun.rmi.transport.tcp.TCPChannel.createConnection(TCPChannel.java:216)
    at sun.rmi.transport.tcp.TCPChannel.newConnection(TCPChannel.java:202)
    at sun.rmi.server.UnicastRef.newCall(UnicastRef.java:338)
    at sun.rmi.registry.RegistryImpl_Stub.lookup(RegistryImpl_Stub.java:116)
    at com.sun.jndi.rmi.registry.RegistryContext.lookup(RegistryContext.java:132)
 [wrapped] javax.naming.ServiceUnavailableException [Root exception is java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
    java.net.ConnectException: Connection refused (Connection refused)]
    at com.sun.jndi.rmi.registry.RegistryContext.lookup(RegistryContext.java:136)
    at com.sun.jndi.toolkit.url.GenericURLContext.lookup(GenericURLContext.java:205)
    at javax.naming.InitialContext.lookup(InitialContext.java:417)
    at javax.management.remote.rmi.RMIConnector.findRMIServerJNDI(RMIConnector.java:1955)
    at javax.management.remote.rmi.RMIConnector.findRMIServer(RMIConnector.java:1922)
    at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:287)
 [wrapped] java.io.IOException: Failed to retrieve RMIServer stub: javax.naming.ServiceUnavailableException [Root exception is java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
    java.net.ConnectException: Connection refused (Connection refused)]
    at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:369)
    at javax.management.remote.JMXConnectorFactory.connect(JMXConnectorFactory.java:270)
    at org.jumpmind.symmetric.JmxCommand.execute(JmxCommand.java:244)
    at org.jumpmind.symmetric.JmxCommand.executeWithOptions(JmxCommand.java:116)
    at org.jumpmind.symmetric.AbstractCommandLauncher.execute(AbstractCommandLauncher.java:193)
    at org.jumpmind.symmetric.JmxCommand.main(JmxCommand.java:63)
TagsNo tags attached.

Activities

dingshiuan

2020-09-26 07:38

reporter  

image.png (59,398 bytes)   
image.png (59,398 bytes)   

elong

2020-09-30 17:08

developer   ~0001792

You probably ran the server from the "sym" command which is just for testing. Use the "sym_service" command to start SymmetricDS in the background. Then JMX is available. You can see configuration of JMX in conf/sym_service.conf file.

dingshiuan

2020-10-01 15:27

reporter   ~0001794

I have two engine properties file
How to specify startup engine name & Port use command as below for sample
./bin/sym_serivce --engine store-001 --port 31415

thanks a lot ~

elong

2020-10-01 15:29

developer   ~0001795

Put the engine properties file in the "engines" sub-directory, and it will run all engines from the same server. The port settings are in "conf/symmetric-server.properties".

dingshiuan

2020-10-01 15:34

reporter   ~0001796

Dear elong

Thanks for your feedback

Put the engine properties file in the "engines" sub-directory, I know
I have tried /u02/symmetric-corp/bin/sym_service start --engine store-001 --port 31415, this method seem does not work
Can I specifically start the specified engine name & Port?
could you guide me ?
thanks a lot ~

elong

2020-10-01 16:24

developer   ~0001797

It starts all engines on same port. Use /u02/symmetric-corp/bin/sym_service start to run all engines that are found in "engines" sub-directory. The port is defined in "conf/symmetric-server.properties" in the "http.port=31415" property.

dingshiuan

2020-10-01 17:36

reporter   ~0001798

Dear elong

thanks for your feedback
I tried to run /u02/symmetric-corp/bin/sym_service start as root
as screenshot

but occurred error
2020-10-01 13:32:02 [INFO ] [wrapper] Started server as PID 3165
2020-10-01 13:32:02 [INFO ] [wrapper] Watching output of java process
2020-10-01 13:32:02 [INFO ] [java ] Error: Password file read access must be restricted: security/jmxremote.password

2020-10-01 13:32:02 [INFO ] [java ] sun.management.AgentConfigurationError
2020-10-01 13:32:02 [INFO ] [java ] at sun.management.jmxremote.ConnectorBootstrap.checkPasswordFile(ConnectorBootstrap.java:577)
2020-10-01 13:32:02 [INFO ] [java ] at sun.management.jmxremote.ConnectorBootstrap.startRemoteConnectorServer(ConnectorBootstrap.java:426)
2020-10-01 13:32:02 [INFO ] [java ] at sun.management.Agent.startAgent(Agent.java:262)
2020-10-01 13:32:02 [INFO ] [java ] at sun.management.Agent.startAgent(Agent.java:452)
2020-10-01 13:32:02 [INFO ] [wrapper] End of output from java process
2020-10-01 13:32:02 [SEVERE ] [wrapper] Unexpected exit from server: 1
2020-10-01 13:32:02 [SEVERE ] [wrapper] Stopping because server exited too quickly after only 133 milliseconds
2020-10-01 13:32:02 [SEVERE ] [wrapper] Exception caught.^M
Error 16 [Unexpected exit from server] with native error 1
        at org.jumpmind.symmetric.wrapper.WrapperService.execJava(WrapperService.java:241)
image-2.png (10,258 bytes)   
image-2.png (10,258 bytes)   
image-3.png (104,156 bytes)   
image-3.png (104,156 bytes)   

elong

2020-10-01 17:38

developer   ~0001799

This will be fixed in next release. Run: chmod 600 security/jmxremote.password

dingshiuan

2020-10-01 18:24

reporter   ~0001801

Dear elong

thanks for your feedback and guide me!
 
fixed in 13.2.15 or 13.3.0 ?

elong

2020-10-01 19:15

developer   ~0001802

Fix will be released in 3.12.5 in issue 0004571 but you can run the chmod now to fix it on your own.

Issue History

Date Modified Username Field Change
2020-09-26 07:38 dingshiuan New Issue
2020-09-26 07:38 dingshiuan File Added: image.png
2020-09-30 17:08 elong Note Added: 0001792
2020-09-30 17:08 elong Status new => feedback
2020-10-01 15:27 dingshiuan Note Added: 0001794
2020-10-01 15:27 dingshiuan Status feedback => new
2020-10-01 15:29 elong Note Added: 0001795
2020-10-01 15:34 dingshiuan Note Added: 0001796
2020-10-01 16:24 elong Note Added: 0001797
2020-10-01 17:36 dingshiuan Note Added: 0001798
2020-10-01 17:36 dingshiuan File Added: image-2.png
2020-10-01 17:36 dingshiuan File Added: image-3.png
2020-10-01 17:38 elong Note Added: 0001799
2020-10-01 18:24 dingshiuan Note Added: 0001801
2020-10-01 19:15 elong Note Added: 0001802